> ## Documentation Index
> Fetch the complete documentation index at: https://docs.curatorodyssey.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post connections



## OpenAPI

````yaml /openapi.json post /connections
openapi: 3.1.0
info:
  title: Laravel
  version: 0.0.1
servers:
  - url: http://odyssey-react.test/api
security: []
paths:
  /connections:
    post:
      tags:
        - Connection
      operationId: connections.store
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/StoreConnectionRequest'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                required:
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '403':
          $ref: '#/components/responses/AuthorizationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    StoreConnectionRequest:
      type: object
      properties:
        connection_type:
          $ref: '#/components/schemas/ConnectionType'
        label:
          type: string
          maxLength: 255
        instance_id:
          type:
            - integer
            - 'null'
        config:
          type: object
          properties:
            base_url:
              type: string
              format: uri
            client_id:
              type: string
            client_secret:
              type: string
          required:
            - base_url
            - client_id
            - client_secret
      required:
        - connection_type
        - label
        - config
      title: StoreConnectionRequest
    ConnectionType:
      type: string
      enum:
        - sigma
      title: ConnectionType
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    AuthorizationException:
      description: Authorization error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors

````